Debian Bug report logs - #244681
emacs-goodies-el: todoo.el doesn't work at XEmacs21

version graph

Package: emacs-goodies-el; Maintainer for emacs-goodies-el is Peter S Galbraith <psg@debian.org>; Source for emacs-goodies-el is src:emacs-goodies-el.

Reported by: OHURA Makoto <ohura@debian.org>

Date: Mon, 19 Apr 2004 13:48:01 UTC

Severity: normal

Found in version 24.4-1

Fixed in version emacs-goodies-el/24.6-1

Done: Peter S Galbraith <psg@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, OHURA Makoto <ohura@debian.org>, Peter S Galbraith <psg@debian.org>:
Bug#244681; Package emacs-goodies-el. Full text and rfc822 format available.

Acknowledgement sent to OHURA Makoto <ohura@debian.org>:
New Bug report received and forwarded. Copy sent to OHURA Makoto <ohura@debian.org>, Peter S Galbraith <psg@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: OHURA Makoto <ohura@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: emacs-goodies-el: todoo.el doesn't work at XEmacs21
Date: Mon, 19 Apr 2004 22:44:46 +0900 (JST)
[Message part 1 (text/plain, inline)]
Package: emacs-goodies-el
Version: 24.4-1
Severity: important

  Hi.

  todoo.el doesn't work fine at XEmacs21.  Running the function
todoo-insert-sub-item in todoo-mode, I can't insert sub-item and
it outputs warning to mini-buffer like the following:

Symbol's function definition is void: outline-font-lock-level

  At Emacs21, todoo-insert-sub-item works fine.  So this is the
problem of XEmacs21, I think.

  Thanks.

----
  OHURA Makoto: ohura@debian.org(Debian Project)
                ohura@netfort.gr.jp(LILO/Netfort)
  GnuPG public key: http://www.netfort.gr.jp/~ohura/gpg.asc.txt
        fingerprint: 54F6 D1B1 2EE1 81CD 65E3  A1D3 EEA2 EFA2 77DC E083
  http://www.netfort.gr.jp/~ohura/


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Kernel: Linux 2.6.5
Locale: LANG=ja_JP.ujis, LC_CTYPE=ja_JP.ujis

Versions of packages emacs-goodies-el depends on:
ii  bash                          2.05b-14   The GNU Bourne Again SHell
ii  emacs20 [emacsen]             20.7-13.1  The GNU Emacs editor.
ii  emacs21 [emacsen]             21.3+1-5   The GNU Emacs editor
ii  xemacs21-mule [emacsen]       21.4.15-1  Editor and kitchen sink -- Mule bi
ii  xemacs21-mule-canna-wnn [emac 21.4.15-1  Editor and kitchen sink -- Mule bi

-- no debconf information
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#244681; Package emacs-goodies-el. Full text and rfc822 format available.

Acknowledgement sent to Peter S Galbraith <psg@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 244681@bugs.debian.org (full text, mbox):

From: Peter S Galbraith <psg@debian.org>
To: OHURA Makoto <ohura@debian.org>, 244681@bugs.debian.org
Subject: Re: Bug#244681: emacs-goodies-el: todoo.el doesn't work at XEmacs21
Date: Tue, 20 Apr 2004 14:36:33 -0400
OHURA Makoto <ohura@debian.org> wrote:

>   todoo.el doesn't work fine at XEmacs21.  Running the function
> todoo-insert-sub-item in todoo-mode, I can't insert sub-item and
> it outputs warning to mini-buffer like the following:
> 
> Symbol's function definition is void: outline-font-lock-level

I have emailed the author about it, but it's a simple fix to copy that
function and rename it so I'll do that soon if there's no reply.

Thanks for the report!  I don't use XEmacs so never noticed.

Peter



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#244681; Package emacs-goodies-el. Full text and rfc822 format available.

Acknowledgement sent to Peter S Galbraith <psg@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #15 received at 244681@bugs.debian.org (full text, mbox):

From: Peter S Galbraith <psg@debian.org>
To: OHURA Makoto <ohura@debian.org>, 244681@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Bug#244681: emacs-goodies-el: todoo.el doesn't work at XEmacs21
Date: Tue, 03 Aug 2004 15:35:40 -0400
severity 244681 normal
thanks

Hi again,

I wasn't byte-compiling this file for XEmacs so I guess I knew it wasn't
meant to be working on it.  What I need to do is:

 - skip autoloads of files that don't work in a given flavour of Emacs
   (likely using the variable `debian-emacs-flavor').

 - document that lack of functionality in the Info file.

Then I'll close this bug (but it still won't work in XEmacs;  I tried
and it relies on too many Emacs-specific things).

Thanks (and sorry about that),
Peter



Severity set to `normal'. Request was from Peter S Galbraith <psg@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Peter S Galbraith <psg@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to OHURA Makoto <ohura@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 244681-close@bugs.debian.org (full text, mbox):

From: Peter S Galbraith <psg@debian.org>
To: 244681-close@bugs.debian.org
Subject: Bug#244681: fixed in emacs-goodies-el 24.6-1
Date: Tue, 03 Aug 2004 20:47:25 -0400
Source: emacs-goodies-el
Source-Version: 24.6-1

We believe that the bug you reported is fixed in the latest version of
emacs-goodies-el, which is due to be installed in the Debian FTP archive:

debbugs-el_24.6-1_all.deb
  to pool/main/e/emacs-goodies-el/debbugs-el_24.6-1_all.deb
debian-el_24.6-1_all.deb
  to pool/main/e/emacs-goodies-el/debian-el_24.6-1_all.deb
debview_24.6-1_all.deb
  to pool/main/e/emacs-goodies-el/debview_24.6-1_all.deb
devscripts-el_24.6-1_all.deb
  to pool/main/e/emacs-goodies-el/devscripts-el_24.6-1_all.deb
dpkg-dev-el_24.6-1_all.deb
  to pool/main/e/emacs-goodies-el/dpkg-dev-el_24.6-1_all.deb
emacs-goodies-el_24.6-1.diff.gz
  to pool/main/e/emacs-goodies-el/emacs-goodies-el_24.6-1.diff.gz
emacs-goodies-el_24.6-1.dsc
  to pool/main/e/emacs-goodies-el/emacs-goodies-el_24.6-1.dsc
emacs-goodies-el_24.6-1_all.deb
  to pool/main/e/emacs-goodies-el/emacs-goodies-el_24.6-1_all.deb
emacs-goodies-el_24.6.orig.tar.gz
  to pool/main/e/emacs-goodies-el/emacs-goodies-el_24.6.orig.tar.gz
emacs-goodies-extra-el_24.6-1_all.deb
  to pool/main/e/emacs-goodies-el/emacs-goodies-extra-el_24.6-1_all.deb
gnus-bonus-el_24.6-1_all.deb
  to pool/main/e/emacs-goodies-el/gnus-bonus-el_24.6-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 244681@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Peter S Galbraith <psg@debian.org> (supplier of updated emacs-goodies-el package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----

Format: 1.7
Date: Tue,  3 Aug 2004 20:26:21 -0400
Source: emacs-goodies-el
Binary: gnus-bonus-el emacs-goodies-extra-el dpkg-dev-el emacs-goodies-el debbugs-el debian-el debview devscripts-el
Architecture: source all
Version: 24.6-1
Distribution: unstable
Urgency: low
Maintainer: Peter S Galbraith <psg@debian.org>
Changed-By: Peter S Galbraith <psg@debian.org>
Description: 
 debbugs-el - Transitional package that can be removed
 debian-el  - Emacs helpers specific to Debian users
 debview    - Transitional package that can be removed
 devscripts-el - Emacs wrappers for the commands in devscripts
 dpkg-dev-el - Emacs helpers specific to Debian development
 emacs-goodies-el - Miscellaneous add-ons for Emacs
 emacs-goodies-extra-el - Transitional package that can be removed
 gnus-bonus-el - Miscellaneous add-ons for Gnus
Closes: 244681 249061 256260 260273 262985
Changes: 
 emacs-goodies-el (24.6-1) unstable; urgency=low
 .
   * gnus-bonus-el
     - Bug fix: "Missing file: nnmaildir.el", thanks to Christian Joergensen
       for reporting this.  The file is actually in the gnus package so I
       won't mention it anymore. (Closes: #256260).
   * debian-el:
     - debian-el.el: Bug fix: "debian-el: Add udeb support to debview",
       thanks to Frédéric Bothamy for the suggestion and patch
       (Closes: #260273).
     - apt-utils.el: new upstream version from Matt, adds "m" key and menu
       entry to read man page.  Addresses bug report "apt-utils.el: not
       friendly" fromDan Jacobson (Closes: #249061).
     - debian-bug.el: debian-bug-wnpp now supports RFH tag (Closes: #262985).
   * emacs-goodies-el:
     - Since todoo.el and ibuffer.el don't work in XEmacs, do autoload
       them and document that limitation in the Info docs. Thanks to OHURA
       Makoto for reporting (Closes: #244681).
Files: 
 3b97beb6f86bd4a2ffe0dcaf98737dfe 911 editors optional emacs-goodies-el_24.6-1.dsc
 f01b9682edab37240b3dce15ae698cf1 660736 editors optional emacs-goodies-el_24.6.orig.tar.gz
 22674d8282b9cebd15fe62773f47dbb8 84762 editors optional emacs-goodies-el_24.6-1.diff.gz
 f7fa9d4ca0a2fff9c1cc827ae8f5e7de 567212 editors optional emacs-goodies-el_24.6-1_all.deb
 f8a9e0c2e2b87a6895fc2599f810f830 17950 oldlibs extra emacs-goodies-extra-el_24.6-1_all.deb
 9c3fb3e14b973a546394115b46001bca 67750 news optional gnus-bonus-el_24.6-1_all.deb
 2c08f9fff8c34a05fd23c167f9dba5ea 27282 editors optional devscripts-el_24.6-1_all.deb
 96a387e671606b5737171b0ab41e9894 73594 utils optional debian-el_24.6-1_all.deb
 744ec6938f9bc9af2ec4c6671e072874 17632 oldlibs extra debbugs-el_24.6-1_all.deb
 1a862d0709f0741fb28a99ec62e0fd41 17914 oldlibs extra debview_24.6-1_all.deb
 4368674a82e88e234409352dda53dd81 54072 utils optional dpkg-dev-el_24.6-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.3 (GNU/Linux)

iQCVAwUBQRAt1LwVH8jSqROhAQHjawQAk9Qf6icgShQMWJNDtoFIquzuWD/evTwo
0q7eZPjlb0iURQUu9luoJdjcMNpsD6kdoMK0lfaeWZCDDEVqN6g+dzl3Qk0Diz6Q
ZnyDb0pnbt0m9CyjlPP8rMRHvtCcHhXkZ1SS+tMYaxL2HbSNaOyYlfkicRDOcAuM
x+HDI22MjnI=
=Z5rA
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 04:22:11 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.